/* Reset margins and paddings */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    vertical-align: baseline;
}

figure {
    margin-bottom: 0 !important;
}

/* Default behavior for media elements */
img,
picture,
video,
iframe,
figure {
    display: block;
    width: 100%;
    max-width: 100%;
}

/* Default text styles */
h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
a,
strong,
blockquote,
i,
b,
u,
em {
    color: inherit;
    font-size: 1em;
    font-style: inherit;
    font-weight: inherit;
    text-decoration: none;
}

/* Reset anchors browser behavior */
a {
    display: block;
    color: inherit;
    font-size: inherit;
    text-decoration: none;
}

/* Anchors in paragraphs must be inline */
p a {
    display: inline;
}

/* Behavor for scroll when clicking elements in the same view */
html {
    scroll-behavior: smooth;
}